# M:\boosty\Neurogen\FREE\gpt4free-portable\gpt4free-portable-by-neurogen\g4f\gui\client
# \index.html

import os
import shutil

# Путь к файлу с языком
language_file = 'webui-language.txt'

# Проверка, существует ли файл с языком
if os.path.exists(language_file):
    # Чтение первой строки из файла
    with open(language_file, 'r', encoding='utf-8') as f:
        first_line = f.readline().strip()
    
    # Путь к файлу HTML на основе первой строки
    source_html = os.path.join('languages', f'{first_line}.html')
    destination_path = os.path.join('g4f', 'gui', 'client', 'index.html')
    
    # Проверка, существует ли указанный HTML файл
    if os.path.exists(source_html):
        # Копирование файла с заменой
        shutil.copy2(source_html, destination_path)
      #  print(f'Файл {source_html} скопирован в {destination_path} с заменой.')
    else:
        print(f'File {source_html} not found.')
else:
    print(f'File {language_file} not found.')
